import 'package:equatable/equatable.dart';

class InvestPaymentState extends Equatable {
  final bool isFormValid;
  final double amount;

  const InvestPaymentState({
    required this.isFormValid,
    required this.amount,
  });

  InvestPaymentState copyWith({
    bool? isFormValid,
    double? amount,
  }) {
    return InvestPaymentState(
      isFormValid: isFormValid ?? this.isFormValid,
      amount: amount ?? this.amount,
    );
  }

  @override
  List<Object> get props => [isFormValid, amount];
}
